<?php

defined( 'ABSPATH' ) || exit;

// --- Init Hooks
add_action( 'admin_notices', array( 'CRPlugins\Oca\Helper\Helper', 'check_notices' ) );

// --- Settings
add_action( 'admin_init', array( '\CRPlugins\Oca\Settings\Main', 'init_settings' ) );
add_action( 'admin_menu', array( '\CRPlugins\Oca\Settings\Main', 'create_menu_option' ) );
add_action( 'admin_enqueue_scripts', array( '\CRPlugins\Oca\Settings\Main', 'add_assets_files' ) );
add_action( 'wp_ajax_oca_get_user', array( '\CRPlugins\Oca\Settings\AjaxCalls', 'get_user' ) );
add_action( 'wp_ajax_oca_get_seller_branches', array( '\CRPlugins\Oca\Settings\AjaxCalls', 'get_seller_branches' ) );
add_action( 'wp_ajax_oca_send_report', array( '\CRPlugins\Oca\Settings\AjaxCalls', 'send_report' ) );
add_action( 'wp_ajax_oca_delete_all_settings', array( '\CRPlugins\Oca\Settings\AjaxCalls', 'delete_all_settings' ) );
