<?php

namespace CRPlugins\Oca\Settings\Fields;

final class PasswordField extends Field {

	protected $data = array(
		'name'        => '',
		'slug'        => '',
		'type'        => 'password',
		'description' => '',
		'default'     => '',
	);

	public function render() {
		$previous_config = $this->get_value();
		printf(
			'<input type="password" id="%1$s" name="%1$s" value="%2$s" />',
			esc_attr( $this->get_slug() ),
			esc_attr( $previous_config )
		);
	}
}
